<div class="wrapper">
  <app-preloader *ngIf="preloader"></app-preloader>
  <app-header></app-header>
  <app-sidebar [modulo]="modulo"></app-sidebar>

  <div class="content-wrapper">
    <app-content-header [headers]="headers"></app-content-header>

    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <div class="text-left">
                  <h3 class="card-title">Crear Heroe</h3>
                </div>
              </div>
              <div class="card-body">
                <div class="container-fluid">
                  <form role="form" [formGroup]="formHeroe" autocomplete="off">
                    <div class="form-group">
                      <label for="nombre">Nombre</label>
                      <input class="form-control form-control-border border-width-2" (keyup)="limpiarErrores('nombre')" [ngClass]="{'is-valid': formHeroe.controls['nombre'].valid, 'is-invalid': hasError('nombre')}" type="text" formControlName="nombre" placeholder="Nombre">
                      <div *ngIf="hasError('nombre')">
                        <span *ngFor="let errorNombre of errores.nombre" class="text-danger">{{errorNombre}}</span>
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="alias">Alias</label>
                      <input class="form-control form-control-border border-width-2" (keyup)="limpiarErrores('alias')" [ngClass]="{'is-valid': formHeroe.controls['alias'].valid, 'is-invalid': hasError('alias')}" type="text" formControlName="alias" placeholder="Alias">
                      <div *ngIf="hasError('alias')">
                        <span *ngFor="let errorAlias of errores.alias" class="text-danger">{{errorAlias}}</span>
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="genero">Genero</label>
                      <select class="form-control form-control-border border-width-2" (change)="limpiarErrores('genero')" [ngClass]="{'is-valid': formHeroe.controls['genero'].valid, 'is-invalid': hasError('genero')}" formControlName="genero">
                        <option hidden value="" selected disabled>Genero</option>
                        <option *ngFor="let genero of generosLista" value="{{genero.id}}">{{genero.genero}}</option>
                      </select>
                      <div *ngIf="hasError('genero')">
                        <span *ngFor="let errorGenero of errores.genero" class="text-danger">{{errorGenero}}</span>
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="ocupacion">Ocupacion</label>
                      <select class="form-control form-control-border border-width-2" (change)="limpiarErrores('ocupacion')" [ngClass]="{'is-valid': formHeroe.controls['ocupacion'].valid, 'is-invalid': hasError('ocupacion')}" formControlName="ocupacion">
                        <option hidden value="" selected disabled>Ocupacion</option>
                        <option *ngFor="let ocupacion of ocupacionesLista" value="{{ocupacion.id}}">{{ocupacion.ocupacion}}</option>
                      </select>
                      <div *ngIf="hasError('ocupacion')">
                        <span *ngFor="let errorOcupacion of errores.ocupacion" class="text-danger">{{errorOcupacion}}</span>
                      </div>
                    </div>
                    <div class="form-group">
                      <label for="espacialidad">Especialidad</label>
                      <input class="form-control form-control-border border-width-2" (keyup)="limpiarErrores('especialidad')" [ngClass]="{'is-valid': formHeroe.controls['especialidad'].valid, 'is-invalid': hasError('especialidad')}" type="text" formControlName="especialidad" placeholder="Especialidad">
                      <div *ngIf="hasError('especialidad')">
                        <span *ngFor="let errorEspecialidad of errores.especialidad" class="text-danger">{{errorEspecialidad}}</span>
                      </div>
                    </div>
                    <button type="button" (click)="onSubmit()" class="btn btn-primary mt-3 float-right"><i class="fas fa-plus-circle"></i> Crear</button>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  <app-footer></app-footer>
</div>
